<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link rel="stylesheet" href="./styles/reset.css" />
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap" rel="stylesheet">
	<link rel="stylesheet" href="./styles/grid.css" />
	<title>Grid Example</title>
</head>

<body>
	<div class="grid">
		<div class="header">
			<p>header</p>
		</div>
		<div class="aside">
			<p>aside</p>
		</div>
		<div class="main">
			<p>main</p>
			<div class="grid__item">6</div>
			<div class="grid__item">7</div>
			<div class="grid__item">8</div>
			<div class="grid__item">9</div>
		</div>
		<div class="footer">
			<p>footer</p>
		</div>
	</div>

	<!-- <h2>auto-fill</h2>
	<p>Делает автозаполнение сетки, создавая переносы ячеек на новые строки</p> -->
	<!-- <div class="grid auto-fill">
		<div class="grid__item">1</div>
		<div class="grid__item">2</div>
		<div class="grid__item">3</div>
		<div class="grid__item">4</div>
		<div class="grid__item">Lorem ipsum dolor sit amet consectetur adipisicing elit. Reprehenderit, autem!</div>
		<div class="grid__item">6</div>
		<div class="grid__item">7</div>
		<div class="grid__item">8</div>
		<div class="grid__item">9</div>
	</div> -->

	<!-- <h2>auto-fit</h2>
	<p>Делает автозаполнение сетки, создавая переносы ячеек на новые строки, так чтобы занять все доступное пространство
		в строке</p>
	<div class="grid auto-fit">
		<div class="grid__item">1</div>
		<div class="grid__item">2</div>
		<div class="grid__item">3</div>
		<div class="grid__item">4</div>
		<div class="grid__item">5</div>
		<div class="grid__item">6</div>
		<div class="grid__item">7</div>
		<div class="grid__item">8</div>
		<div class="grid__item">9</div>
	</div> -->
</body>

</html>